.login-layout {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: 60vh;
}

.welcome-panel {
  background: linear-gradient(135deg, #950000, #f95252);
  color: #ffffff;
  padding: 4rem;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.login-card {
 background:linear-gradient(180deg,#fff6ea 0%, #fbfbfb 32%, #FFF 75%, #F6F5F4 100%);
 border-bottom:0;
 box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
}
.custom-divider {
 width: 60%;
 height: 1.5px;
 background: linear-gradient(90deg,#FFF2F2 0%, #a6b2ca 30%, #C6B36A 60%, #E7F2F9 90%, #FFF2F2 100%);
}

.operator-logo {
  width: 340px;
  height: 120px;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 3rem;
}

.operator-logo img {
  max-width: 100%;
  max-height: 100%;
  object-fit: contain;
}

.login-panel {
  background: #ffffff;
  display: flex;
  align-items: center;
  justify-content: center;
}

.login-form {
  width: 100%;
  max-width: 360px;
  display: grid;
  gap: 1rem;
}

.login-form input {
  padding: 0.75rem;
  border: 1px solid #ddd;
  border-radius: 6px;
}

.login-form button {
  cursor: pointer;
}

.password-wrapper {
  position: relative;
}

.password-wrapper input {
  width: 100%;
  padding-right: 40px;
}

.toggle-button {
  position: absolute;
  top: 50%;
  right: 10px;
  transform: translateY(-50%);
  background: none;
  border: none;
  cursor: pointer;
}

.eye-icon {
  width: 20px;
  height: 20px;
}

@media (max-width: 768px) {
  .login-layout {
    grid-template-columns: 1fr;
    grid-template-rows: auto auto;
  }

  .welcome-panel {
    padding: 2.5rem 1.5rem;
    text-align: center;
  }

  .login-panel {
    padding: 2rem 1.5rem;
  }

  .operator-logo {
      width: 180px;
      height: 70px;
      margin-bottom: 1rem;
    }

  .page-center {
    padding: 16px;
  }

}

.alert {
   transition: opacity 0.3s ease;
 }

.gradient-text {
    background: linear-gradient(180deg, #111d34 0%, #c08615 60%, #825b00 70%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}
@media (min-width: 768px) {
  .page-center {
     min-height: 100vh;
      display: flex;
      align-items: center;
      justify-content: center;
      padding: 16px;
  }
}
